#Deny from all
RewriteEngine On
RewriteBase /
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule .* index.php/$0 [PT,L]  
#RewriteRule ^(.*)$ /index.php?/$1 [L]
#RewriteRule ^(.*)$ index.php [L]
<IfModule mod_rewrite.c>
  RewriteEngine On
	#RewriteBase /
  RewriteCond %{REQUEST_FILENAME} !-f
  RewriteRule ^ index.php [QSA,L]
</IfModule>